/* 
 primeste text prin
 * protocol ESPNow
 *
 * 
 * */


#include <esp_now.h>
#include <WiFi.h>

#include <Adafruit_SSD1306.h>
#include <Adafruit_GFX.h>
#define OLED_ADDR   0x3C
Adafruit_SSD1306 display(-1);

typedef struct RxStruct
    {
    char k; //k = nume caracter primit
    }RxStruct;
    RxStruct recData;
    
void OnDataRecv(const uint8_t * mac, const uint8_t *incomingData, int len)
  {
  memcpy(&recData, incomingData, sizeof(recData));
  display.setTextColor(WHITE); 
  display.setTextSize(2); 
  display.print(recData.k);
  display.display();
  if (recData.k == '/'){
    display.clearDisplay();
    display.setCursor(0,0);
    }
  Serial.println(recData.k);  //optional 
    }

  void setup()
  {
  Serial.begin(115200);
  
  display.begin(SSD1306_SWITCHCAPVCC, OLED_ADDR);

  display.clearDisplay();
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.print("P2P Rx text EspNow");
  display.display();
  delay(2000); 
  display.clearDisplay();
   WiFi.mode(WIFI_STA);
  if (esp_now_init() != ESP_OK)
  {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
  esp_now_register_recv_cb(OnDataRecv);
  }

    void loop()
      {
        }
